## COS Trigonometric Cosine Function

Section: Mathematical Functions

### Usage

Computes the `cos` function for its argument. The general syntax for its use is

      y = cos(x)

where `x` is an `n`-dimensional array of numerical type. Integer types are promoted to the `double` type prior to calculation of the `cos` function. Output `y` is of the same size and type as the input `x`, (unless `x` is an integer, in which case `y` is a `double` type).

### Function Internals

Mathematically, the `cos` function is defined for all real valued arguments `x` by the infinite summation

For complex valued arguments `z`, the cosine is computed via

### Example

The following piece of code plots the real-valued `cos(2 pi x)` function over one period of `[0,1]`:

    --> x = linspace(0,1);
    --> plot(x,cos(2*pi*x))